<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('student_life_events', function (Blueprint $table) {
            $table->id();
            $table->string('background_color')->nullable();
            $table->string('event_tittle')->nullable(); // array of title, description, images
            $table->string('event_description')->nullable(); // array of title, description, images
            $table->json('event_images')->nullable(); // array of title, description, images

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('student_life_events');
    }
};
